<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li class="current"><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_u.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_u"></a>- u -</h3><ul>
<li>UavMultiplex()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a3c2eee3c6dff30b093501a7ed8df8a4f">flair::filter::UavMultiplex</a>
</li>
<li>UdpSocket()
: <a class="el" href="classflair_1_1core_1_1_udp_socket.html#acbea7907c592953320a157dffb21b9de">flair::core::UdpSocket</a>
</li>
<li>UnBlockCom()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1">flair::core::FrameworkManager</a>
</li>
<li>Unix_I2cPort()
: <a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html#aa70ae8845327e8b5570c5bf45ba8b345">flair::core::Unix_I2cPort</a>
</li>
<li>Unix_SerialPort()
: <a class="el" href="classflair_1_1core_1_1_unix___serial_port.html#a8a2dcd6d2f9f34046ebbe8443ed8bee8">flair::core::Unix_SerialPort</a>
</li>
<li>UnlockUserInterface()
: <a class="el" href="classflair_1_1actuator_1_1_bldc.html#ac1fba30ad70a6d8ff075d376c0e417dd">flair::actuator::Bldc</a>
, <a class="el" href="classflair_1_1filter_1_1_ahrs.html#aed225a1b8a489df87e0e9f2a6f95b919">flair::filter::Ahrs</a>
, <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a23e3ac59f663aaa24ec55b83f0b5356d">flair::filter::UavMultiplex</a>
, <a class="el" href="classflair_1_1sensor_1_1_imu.html#a279bf62436c91f0ced11455bff38c269">flair::sensor::Imu</a>
, <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html#a929ceee1b3095561c559586bc6b8aab5">flair::sensor::PressureSensor</a>
, <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html#aab82864dba31be05a588aa079811ca60">flair::sensor::UsRangeFinder</a>
</li>
<li>UnsetPersistentXmlProp()
: <a class="el" href="classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434">flair::gui::Widget</a>
</li>
<li>Update()
: <a class="el" href="classflair_1_1filter_1_1_control_law.html#a228f8bf6857d96fa015bec9e016d2132">flair::filter::ControlLaw</a>
, <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a1c30d137fec61a42ffb2214248140342">flair::filter::JoyReference</a>
, <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a6003a11baad8940a0eae6c8533b1fd4f">flair::filter::TrajectoryGenerator1D</a>
, <a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ab4c33fe719831488ce56b833c31dd426">flair::filter::TrajectoryGenerator2DCircle</a>
, <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d">flair::filter::UavMultiplex</a>
</li>
<li>UpdateFrom()
: <a class="el" href="classflair_1_1core_1_1_i_o_device.html#aead8f82fd3133168041c37cc471077d5">flair::core::IODevice</a>
, <a class="el" href="classflair_1_1filter_1_1_butterworth_low_pass.html#a0f33384da8b2278f8b3f6a8235134edc">flair::filter::ButterworthLowPass</a>
, <a class="el" href="classflair_1_1sensor_1_1_target_controller.html#a1e883144c9ebf38961b7bce349fd8da3">flair::sensor::TargetController</a>
</li>
<li>UpdateSendData()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c">flair::core::FrameworkManager</a>
</li>
<li>UPlot()
: <a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c">flair::sensor::NmeaGps</a>
</li>
<li>UseDefaultPlot()
: <a class="el" href="classflair_1_1actuator_1_1_bldc.html#a5f653e25984ae11ae7f513e1fbad7d10">flair::actuator::Bldc</a>
, <a class="el" href="classflair_1_1filter_1_1_ahrs.html#a116d3f72561f63909a554f047786491e">flair::filter::Ahrs</a>
, <a class="el" href="classflair_1_1filter_1_1_control_law.html#a3c42c9c7ae276e10d2ebad3a6701210d">flair::filter::ControlLaw</a>
, <a class="el" href="classflair_1_1filter_1_1_pid.html#a8128ecc530ff19abae93027d72d4b5ec">flair::filter::Pid</a>
, <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a8b77f7720b1406f48baa3c43cf87765a">flair::filter::PidThrust</a>
, <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f">flair::filter::UavMultiplex</a>
, <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a807762c68c04134ef3ccea86d68a238a">flair::filter::X4X8Multiplex</a>
, <a class="el" href="classflair_1_1sensor_1_1_camera.html#ace75da2070757c34ea5fa2b1b987d8cd">flair::sensor::Camera</a>
, <a class="el" href="classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#af71c2d5cbc5f79bf45f759836c6db8a3">flair::sensor::HokuyoUTM30Lx</a>
, <a class="el" href="classflair_1_1sensor_1_1_imu.html#a81e08d2c2963d05ba8c38792af661527">flair::sensor::Imu</a>
, <a class="el" href="classflair_1_1sensor_1_1_laser_range_finder.html#a473c2a1847c1eba1638dfc6dbf94e955">flair::sensor::LaserRangeFinder</a>
, <a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html#a21d740a42cf087ef0e78421ce0baae48">flair::sensor::NmeaGps</a>
, <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html#ad6a8802925c5768d9504d5174b01763c">flair::sensor::PressureSensor</a>
, <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html#a6cbc4be2cfaf7d89f3b227d3487d96c0">flair::sensor::UsRangeFinder</a>
</li>
<li>UseXbee()
: <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html#adf1f94c2a40092cf76cddf5cce9caae5">flair::sensor::VrpnClient</a>
</li>
<li>UsRangeFinder()
: <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html#ab8b56ed2839e584a1e88a00cedf81051">flair::sensor::UsRangeFinder</a>
</li>
<li>UsSensorPlot()
: <a class="el" href="classflair_1_1gui_1_1_us_sensor_plot.html#a66fe4943d313e5dedbdd8b51a1b45376">flair::gui::UsSensorPlot</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
